#include "GUI/Model/Data/ApplicationModels.h"
#include "GUI/Model/Material/MaterialItem.h"
#include "GUI/Model/Material/MaterialModel.h"
#include "GUI/Model/Sample/LayerItem.h"
#include "GUI/Model/Sample/SampleModel.h"
#include "Tests/GTestWrapper/google_test.h"

class TestLayerItems : public ::testing::Test {
};

//! Checking default material of the layer.

TEST_F(TestLayerItems, LayerDefaultMaterial)
{
    ApplicationModels models;
    auto* layer = models.sampleModel()->insertItem<LayerItem>();
    auto materials = models.materialModel()->materialItems();
    auto* defMaterial = materials.front();

    EXPECT_EQ(layer->materialName(), "Default");
    EXPECT_EQ(layer->materialIdentifier(), defMaterial->identifier());
}
